/* карты для header.top */
var mapAtm, mapOtdel, mapAtmGroup;
var mapGroup = new Array();
var mapObj = new Array();
var placemark = new Array();

function init () {
    mapOtdel = new ymaps.Map("mapOtdel",{
        center: [45.04042, 38.97606],
        zoom: 13
    },{
        avoidFractionalZoom: false/* , minZoom: 12 */
    });

    /* +контролы */
    mapOtdel.controls.add('zoomControl', {
        left: 5,
        top: 5
    }).add('typeSelector');

    /* +коллекции */
    mapOtdelGroup = new ymaps.GeoObjectCollection(null);
    mapOtdel.geoObjects.add(mapOtdelGroup);

    mapObj['mapOtdel'] = mapOtdel;
    mapGroup['mapOtdel'] = mapOtdelGroup;

    /* заполняем карту */
    addPlacemarks('mapOtdel');
}

/* функция наполнения карты объектами */
function addPlacemarks(map){
    var mapParentSelector = $('#'+map).parent('.wrapper');
    var headText = (map == 'mapOtdel' ? "Отделение" : "Банкомат") + " Банка «Первомайский» (ЗАО)";
    /* парсим точки */
    $('.searchResult ul li' ,mapParentSelector).each(function(i, de){
        if($(de).attr('data')){
            var arr = $(de).attr('data').split(',');
            var iconCount = i+1;
            if (iconCount < 10){
                iconCount = '0'+iconCount;
            }
            var ths = this;
            var balContentBody = "<b>Адрес: </b> "+$('.column2', ths).text()+'<hr>';
            $('.column3 p', ths).each(function(i,de){
                if($(de).text() != '') balContentBody += $(de).text()+'<br>'+$('.column4 p:eq('+i+')',ths).text()+'<hr>';
            });
            
            if( typeof arr[1] != 'undefined' ){
                arr = [arr[0]*1,arr[1]*1];

                //формируем объект с метками
                placemark[map+i] = new ymaps.Placemark(
                    arr,
                    {
                        iconContent: '<p class="placemarkCount">'+iconCount+'</p>',
                        balloonContentHeader: headText,
                        balloonContentBody: '<div class="balContent">' + balContentBody + '</div>',
                        balloonContentFooter: '<span style="color:transparent">.</span>'
                    },{
                        iconImageHref: '/assets/theme/img/placemark1mbank.png',
                        iconImageSize: [32, 35]
                    }
                    );
                mapGroup[map].add(placemark[map+i]);

                //при нажатии на один из объектов - перемещаем карту к его балуну.
                $(de).click(function(){
                    $('html, body').animate({
                        scrollTop:$('#'+map).position().top-60
                    }, 666);
                    mapObj[map].panTo(placemark[map+i].geometry.getCoordinates(),{
                        callback: function () {
                            placemark[map+i].balloon.open()
                        }
                    });
                    return false;
                });
            }
        }
    });
}

function init2 () {

    mapAtm = new ymaps.Map("mapAtm",{
        center: [45.04042, 38.97606],
        zoom: 13
    },{
        avoidFractionalZoom: false/* , minZoom: 12 */
    });

    mapAtm.controls.add('zoomControl', {
        left: 5,
        top: 5
    }).add('typeSelector');

    mapAtmGroup = new ymaps.GeoObjectCollection(null);
    mapAtm.geoObjects.add(mapAtmGroup);

    mapObj['mapAtm'] = mapAtm;
    mapGroup['mapAtm'] = mapAtmGroup;

    /* заполняем карту */
    addPlacemarks('mapAtm');
}

function setBoundsOnMap(map){
    if(map == 'mapOtdel')
        var key = 'mapOtdel0';
    else
        mapAtm.setBounds(mapAtm.geoObjects.getBounds(), {checkZoomRange:true, zoomMargin:100});



}